## vagrant 2.2.14+dfsg

=== debian/changelog ===
vagrant (2.2.14+dfsg-2) bullseye; urgency=medium

  * Add support for VirtualBox 7.0 (Closes: #1026227)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Feb 2023 10:33:52 +0100

vagrant (2.2.14+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.14+dfsg
  * Refresh patches
  * Bump version constraints in Build-Depends
  * Run test suite on build and autopkgtest
    - Add a patch to skip a few tests that require winrm
    - Skip some entire test files that require winrm
    - Add new build dependencies: ruby-rspec, ruby-rspec-its, ruby-webmock,
      curl
    - Add patch to fix test suite to run against installed package

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 07 Feb 2021 14:53:25 -0300
