=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         libvirt-daemon-system,
         vagrant-libvirt,
         qemu-utils,
         nfs-kernel-server,
         libguestfs-tools,
         @
Restrictions: isolation-machine, needs-root, needs-internet, skippable
