=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/vagrant-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
  https://github.com/hashicorp/vagrant/tags .*/v?(\d[\d\.]+)\.tar\.gz
