## vagrant 2.2.19%2Bdfsg

=== debian/changelog ===
vagrant (2.2.19+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Nov 2021 21:37:55 -0500

vagrant (2.2.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.19+dfsg
    - Passes tests against ruby3.0 with ruby-rspec >= 3.10 (Closes: #996529)
  * debian/upstream/metadata: correct URLs
  * debian/control: refresh build dependencies
  * Bump Standards-Version to 4.6.0; no changes needed
  * Refresh patches
  * Refresh packaging files from dh-make-ruby
  * debian/rules: replace whitelist/blacklist with include/exclude
  * System-side installed plugins: cope with upstream changes
  * autopkgtest: integration-test: add missing dependency on dnsmaq
  * autopkgtest: integration-test: add missing dependency on sudo

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Nov 2021 09:10:33 -0300

vagrant (2.2.14+dfsg-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 29 May 2021 18:43:54 -0400
