## vagrant 2.2.19+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                curl,
-               gem2deb (>= 1),
+               gem2deb (>= 1.6),
                rake,
                ruby,
-               ruby-bcrypt-pbkdf (>= 1.0.0),
-               ruby-childprocess (>= 4.0.0),
+               ruby-bcrypt-pbkdf (>= 1.1),
+               ruby-childprocess (>= 4.1.0),
                ruby-ed25519 (>= 1.2.4),
                ruby-erubi,
                ruby-i18n (>= 1.8),
-               ruby-listen (>= 3.1.5),
+               ruby-listen (>= 3.6),
                ruby-log4r (>= 1.1.9),
                ruby-mime-types (>= 3.3),
-               ruby-net-scp (>= 1.2.0),
+               ruby-net-scp (>= 3.0.0),
                ruby-net-sftp (>= 3.0),
                ruby-net-ssh (>= 6.1.0),
-               ruby-rspec,
+               ruby-rspec (>= 3.10),
                ruby-rspec-its,
-               ruby-vagrant-cloud (>= 3.0),
+               ruby-rexml (>= 3.2),
+               ruby-vagrant-cloud (>= 3.0.5),
                ruby-webmock,
                ruby-zip (>= 2.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
 Homepage: https://www.vagrantup.com
