=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt
