## vagrant 2.3.4%2Bdfsg

=== debian/changelog ===
vagrant (2.3.4+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 16 Feb 2023 16:42:49 +0100

vagrant (2.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.4+dfsg
    - Passes its tests with rspec 3.12 (Closes: #1027098)
  * debian/control: update with dh-make-ruby
  * Refresh patches.
    Drop patch for VirtualBox 7.0 support as it is already present upstream.
  * test/unit/base.rb: don´t load patch to fake_ftp when running tests
  * debian/ruby-tests.rake: skip test that requires a rgl (not packaged)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Dec 2022 21:47:34 -0300

vagrant (2.2.19+dfsg-3) unstable; urgency=medium

  * Add upstream patch with VirtualBox 7.0 support (Closes: #1026227)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Dec 2022 21:53:30 -0300

vagrant (2.2.19+dfsg-2) unstable; urgency=medium

  [ Vincent Blut ]
  * d/vagrant.install: provide vagrant zsh completion

  [ Antonio Terceiro ]
  * Don't force an upper bound on Ruby versions (Closes: #1025261)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Dec 2022 16:25:04 -0300
