=== debian/changelog ===
vagrant (2.3.4+dfsg-1+deb12u1) bookworm; urgency=medium

  * Add patch 0008-Fix-the-default-vagrant-URL-for-pulling-boxes.patch:
    Work-around change introduced by Hashicorp that broke the public Vagrant
    registry with this version of Vagrant. Closes: #1092987

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 24 Jan 2025 22:31:10 +0100
