=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export DH_RUBY_GEM_INSTALL_INCLUDE = version.txt
export DH_RUBY_GEM_INSTALL_EXCLUDE = contrib/* scripts/*

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

override_dh_auto_build:
	dh_auto_build
	pod2man -c "" -r "" debian/dh_vagrant_plugin > debian/dh_vagrant_plugin.1

override_dh_auto_install: virtualbox_support
	dh_auto_install
	find debian/vagrant/usr/share/rubygems-integration/ -name README.md -delete

unsupported_virtualbox = $(shell ./debian/get-unsupported-virtualbox)

virtualbox_support:
	@echo 'vagrant:UnsupportedVirtualBox=$(unsupported_virtualbox)' >> debian/vagrant.substvars
	@echo 'Unsupported VirtualBox: >= $(unsupported_virtualbox)'
