=== debian/changelog ===
vagrant (2.3.7+git20230731.5fc64cde+dfsg-4) unstable; urgency=medium

  * set myself as sole active Uploaders:

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 11 Jul 2025 13:33:40 +0200

vagrant (2.3.7+git20230731.5fc64cde+dfsg-3) unstable; urgency=medium

  * Add patch 0012-Loosen-dependency-on-ruby.patch
    + Support Ruby 3.3. Closes: #1091664
  * Add patch 0013-Fix-the-default-vagrant-URL-for-pulling-boxes.patch
    + Fix incompatibility introduced by Hashicorp that prevented 
      the public registry to work with this version of Vagrant.
      Closes: #1092987

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 24 Jan 2025 22:27:33 +0100

vagrant (2.3.7+git20230731.5fc64cde+dfsg-2) unstable; urgency=medium

  * Add patch: 0011-Add-newline-at-end-of-private-key.patch
    Fix a bug introduced in upstream commit 67562588 where invalid private
    keys were generated.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 07 May 2024 14:46:44 +0200

vagrant (2.3.7+git20230731.5fc64cde+dfsg-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from Uploaders

  [ Lucas Nussbaum ]
  * New upstream version 2.3.7+git20230731.5fc64cde+dfsg
    + This is the last commit before the license change to BUSL.
  * Add patch: 0009-Raise-error-if-openssl-headers-not-found.patch
  * Add build-dep on libssl-dev and switch to Architecture: any to build the
    vagrant_ssl extension
  * Fix rubygems-integration path due to the above arch:any change
  * Drop Build-dep on ruby-net-ftp, which is provided by libruby3.X anyway.
    Closes: #1070420
  * Remove watch file: we don't expect upstream updates
  * Add patch 0010-Remove-shebang-from-bash-completion-file.patch to fix
    lintian warning.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 06 May 2024 21:08:41 +0200

vagrant (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.6+dfsg
  * Add myself to Uploaders
  * Add patch: 0008-Skip-tests-that-require-rgl.patch

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 05 Mar 2024 16:49:51 +0100

vagrant (2.3.5+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Lucas Nussbaum ]
  * New upstream version 2.3.5+dfsg
  * Refresh patches
  * Refresh packaging using dh-make-ruby -w

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 05 Mar 2024 15:20:48 +0100
