=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
Build-Depends: bash-completion,
               curl,
               debhelper-compat (= 13),
               gem2deb (>= 1.6),
               libssl-dev,
               rake,
               ruby,
               ruby-bcrypt-pbkdf (>= 1.1),
               ruby-childprocess (>= 4.1.0),
               ruby-ed25519 (>= 1.3.0),
               ruby-erubi,
               ruby-googleapis-common-protos-types (>= 1.3),
               ruby-grpc,
               ruby-i18n (>= 1.12),
               ruby-ipaddr (>= 1.2.4),
               ruby-listen (>= 3.7),
               ruby-log4r (<< 1.1.11),
               ruby-log4r (>= 1.1.9),
               ruby-mime-types (>= 3.3),
               ruby-net-scp (>= 4.0),
               ruby-net-sftp (>= 4.0),
               ruby-net-ssh (>= 7.0),
               ruby-rexml (>= 3.2),
               ruby-rspec (>= 3.12),
               ruby-rspec-its,
#              needed by the `serve` command:
#              ruby-rgl (>= 0.5.7),
               ruby-vagrant-cloud (>= 3.0.5),
               ruby-webmock,
               ruby-zip (>= 2.3.2)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: https://www.vagrantup.com
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: vagrant
Architecture: any
Depends: curl,
         libarchive-tools,
         openssh-client,
         rsync,
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Breaks: virtualbox (>= ${vagrant:UnsupportedVirtualBox})
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant upstream uses Oracle’s VirtualBox by default to create its virtual
 machines. On Debian, Vagrant will use libvirt/KVM by default as VirtualBox is
 not part of Debian main, but will use VirtualBox if it's installed.
