=== debian/tests/control ===
Tests: smoke-test
Depends: vagrant-libvirt,
         @

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         dnsmasq-base,
         libguestfs-tools,
         libvirt-daemon-system,
         nfs-kernel-server,
         qemu-utils,
         sudo,
         vagrant-libvirt,
         @
Restrictions: isolation-machine, needs-root, needs-internet, skippable
